org.eclipse.aether.transfer

## Class ChecksumFailureException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.aether.RepositoryException
      - - org.eclipse.aether.transfer.ChecksumFailureException

- All Implemented Interfaces:
    Serializable

      public class ChecksumFailureException
      extends RepositoryException

  Thrown in case of a checksum failure during an artifact/metadata download.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChecksumFailureException(boolean retryWorthy, String message, Throwable cause)`
    `ChecksumFailureException(String message)`
    `ChecksumFailureException(String expected, String actual)`
    `ChecksumFailureException(String message, Throwable cause)`
    `ChecksumFailureException(Throwable cause)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getActual()`
    `String` | `getExpected()`
    `boolean` | `isRetryWorthy()`

    - ### Methods inherited from class org.eclipse.aether.RepositoryException

      `getMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ChecksumFailureException

          public ChecksumFailureException(String expected,
                                  String actual)

    - #### ChecksumFailureException

          public ChecksumFailureException(String message)

    - #### ChecksumFailureException

          public ChecksumFailureException(Throwable cause)

    - #### ChecksumFailureException

          public ChecksumFailureException(String message,
                                  Throwable cause)

    - #### ChecksumFailureException

          public ChecksumFailureException(boolean retryWorthy,
                                  String message,
                                  Throwable cause)

  - ### Method Detail

    - #### getExpected

          public String getExpected()

    - #### getActual

          public String getActual()

    - #### isRetryWorthy

          public boolean isRetryWorthy()

Copyright © 2010-2014 The Eclipse Foundation. All Rights Reserved.